<?php

page_open(array("sess" => "AG_Session",
		"auth" => "AG_Default_Auth"));
$sess->register("room");
$sess->register("onetime_password");

require("ag_page.inc");


ag_page_init();

$uid = $auth->is_authenticated();

  $d = getdate(time());
  if( $year == "" ){
    $year = $d["year"];
  }
  if( $month == "" ){
    $month = $d["mon"];
  }
  if( $day == "" ){
    $day = $d["mday"];
  }

?>

<H1> Make booking for <?echo "$day $month $year" ?> </H1>

<H2> Current bookings for this day </H2>

<p>
<table border="1">
<tr><th>Room</th><th>Start time</th><th>Duration</th><th>Description</th><th>delete</th></tr>
<?
 $db->query(sprintf("select booking.id, user_id, name, start_time, duration, booking.description from booking, room where (room.id = room_id) and (( start_time >= '%s-%s-%s 00:00:00' and start_time < '%s-%s-%s 23:59:59' ) or ( start_time < '%s-%s-%s 00:00:00' and start_time + duration > '%s-%s-%s 00:00:00'))",$year,$month,$day,$year,$month,$day,$year,$month,$day,$year,$month,$day));
    while( $db->next_record() ){
      $id=$db->f("id");
      $book_user=$db->f("user_id");
      $name=$db->f("name");
      $st=$db->f("start_time");
      $dr=$db->f("duration");
      $ds=$db->f("description");
      echo sprintf("<tr><td>%s</td><td>%s</td><td>%s</td><td>%s</td>",$name,$st,$dr,$ds);
      if( $uid == $book_user ){
        echo sprintf("<td><a href=\"delete-booking.php?delete_id=%s\">Delete</a></tr>\n",$id);
      }else{
        echo "<td></td></tr>\n";
      }
    }

?>
</table>
<form method="POST" action="make-booking.php">
  <INPUT type="hidden" name="year" value="<? echo $year ?>">
  <INPUT type="hidden" name="day" value="<? echo $day ?>">
  <INPUT type="hidden" name="month" value="<? echo $month ?>">
  <p> Room:
  <SELECT name="room_id">
<?
    $db->query("select id, name from room");
    while( $db->next_record() ){
      $id=$db->f("id");
      $name=$db->f("name");
      echo sprintf("<option value=\"%s\">%s</option>\n",$id,$name);
    }
?>
  </SELECT>
  </p>
  <p> Start time:
  <SELECT name="start">
    <option value="0:00">midnight</option>
    <option value="1:00">1:00 AM</option>
    <option value="2:00">2:00 AM</option>
    <option value="3:00">3:00 AM</option>
    <option value="4:00">4:00 AM</option>
    <option value="5:00">5:00 AM</option>
    <option value="6:00">6:00 AM</option>
    <option value="7:00">7:00 AM</option>
    <option value="8:00">8:00 AM</option>
    <option value="9:00">9:00 AM</option>
    <option value="10:00">10:00 AM</option>
    <option value="11:00">11:00 AM</option>
    <option value="12:00">noon</option>
    <option value="13:00">1:00 PM</option>
    <option value="14:00">2:00 PM</option>
    <option value="15:00">3:00 PM</option>
    <option value="16:00">4:00 PM</option>
    <option value="17:00">5:00 PM</option>
    <option value="18:00">6:00 PM</option>
    <option value="19:00">7:00 PM</option>
    <option value="20:00">8:00 PM</option>
    <option value="21:00">9:00 PM</option>
    <option value="22:00">10:00 PM</option>
    <option value="23:00">11:00 PM</option>
  </SELECT>
  </p><p> Duration:
  <SELECT name="duration">
    <option selected value="1:00">1 hour</option>
    <option value="2:00">2 hours</option>
    <option value="3:00">3 hours</option>
    <option value="4:00">4 hours</option>
    <option value="5:00">5 hours</option>
    <option value="6:00">6 hours</option>
    <option value="7:00">7 hours</option>
    <option value="8:00">8 hours</option>
    <option value="9:00">9 hours</option>
    <option value="10:00">10 hours</option>
    <option value="11:00">11 hours</option>
    <option value="12:00">12 hours</option>
  </SELECT>
  </p><p>Description:
   <textarea rows="6" name="description" cols="46"></textarea></td>
  </p><p>
  <input type="submit" name="Book" value="book">
  <input type="Reset" name="Reset" value="reset">
  </P>
</BODY>
</HTML>

